unit DemoDrags;

{ WASTE DEMO PROJECT: }
{ Drag Handlers }

{ Copyright  1993-1994 Merzwaren }
{ All Rights Reserved }

interface
	uses
		DemoIntf;

	function MyTrackingHandler (theMessage: DragTrackingMessage;
									theWindow: WindowPtr;
									handlerRefCon: Ptr;
									theDrag: DragReference): OSErr;
	function MyReceiveHandler (theWindow: WindowPtr;
									handlerRefCon: Ptr;
									theDrag: DragReference): OSErr;

implementation

	function MyTrackingHandler (theMessage: DragTrackingMessage;
									theWindow: WindowPtr;
									handlerRefCon: Ptr;
									theDrag: DragReference): OSErr;
	begin
		if (theWindow <> nil) then
			MyTrackingHandler := WETrackDrag(theMessage, theDrag, DocumentPeek(theWindow)^.hWE)
		else
			MyTrackingHandler := noErr;
	end;  { MyTrackingHandler }

	function MyReceiveHandler (theWindow: WindowPtr;
									handlerRefCon: Ptr;
									theDrag: DragReference): OSErr;
	begin
		if (theWindow <> nil) then
			MyReceiveHandler := WEReceiveDrag(theDrag, DocumentPeek(theWindow)^.hWE)
		else
			MyReceiveHandler := noErr;
	end;  { MyReceiveHandler }

end.