unit LongCoords;

{ Pascal interface to the WASTE text engine: }
{ Long Coordinates }

{ Copyright  1993-1994 Marco Piovanelli }
{ All Rights Reserved }

interface

	type

{ long coordinates types }

		LongPt = record
				case Integer of
					0: (
							vh: array[VHSelect] of LongInt;
					);
					1: (
							v, h: LongInt;
					);
			end;  { LongPt }

		LongRect = record
				case Integer of
					0: (
							topLeft, botRight: LongPt;
					);
					1: (
							top, left, bottom, right: LongInt;
					);
			end;  { LongRect }

implementation
end.